Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236326 - maximum username length too short
Summary: maximum username length too short
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd
Version: 4.4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 05:42 UTC by Karl Latiss
Modified: 2016-07-26 23:46 UTC (History)
3 users (show)

Fixed In Version: RHSA-2008-0680
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 19:34:50 UTC


Attachments (Terms of Use)
unamesize patch (deleted)
2007-04-13 05:42 UTC, Karl Latiss
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0680 normal SHIPPED_LIVE Moderate: vsftpd security and bug fix update 2008-07-24 16:38:54 UTC

Description Karl Latiss 2007-04-13 05:42:22 UTC
Description of problem:
The maximum length of the username is 32 characters which is too short for some
usernames. It becomes easily apparent when using email addresses as usernames.

Version-Release number of selected component (if applicable):
vsftpd-2.0.1-5.EL4.5.i386.rpm

How reproducible:
Every time

Steps to Reproduce:
1.log in with username > 32 characters
2.
3.
  
Actual results:
Login Failed

Expected results:
Successful login

Additional info:
This was previously patched for RHEL (see bug #139803) and I would have expected
it to carry through to current releases.

I have attached a patch to increase the username length to 128 characters (as
per the RHEL 3 patch)

Comment 1 Karl Latiss 2007-04-13 05:42:22 UTC
Created attachment 152518 [details]
unamesize patch

Comment 2 RHEL Product and Program Management 2007-11-29 04:21:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Martin Nagy 2007-12-04 12:32:08 UTC
Fixed in fedora/rawhide (vsftpd-2.0.5-21.fc9).

Comment 5 Martin Nagy 2008-02-08 10:50:41 UTC
Fix checked in CVS and the new packages were built successfully. This issue
should be resolved in vsftpd-2.0.1-6.el4

Comment 9 errata-xmlrpc 2008-07-24 19:34:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0680.html


Note You need to log in before you can comment on or make changes to this bug.